## quickml 0.8

=== debian/changelog ===
quickml (0.8-2) unstable; urgency=medium

  * d/control: Add runtime dependency on ruby-thwait, contributed by Sudip
    Mukherjee (Closes: #1068759).
  * Migrate to Ruby 3 and drop all encoding conversions to embrace
    unicode.

 -- Benda Xu <orv@debian.org>  Wed, 22 May 2024 17:42:39 +0800

quickml (0.8-1) unstable; urgency=medium

  * New upstream release.
  * Adopt the package (Closes: #918887).

 -- Benda Xu <orv@debian.org>  Wed, 28 Dec 2022 22:47:16 +0800

quickml (0.7-8) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format.

 -- Bastian Germann <bage@debian.org>  Mon, 05 Dec 2022 13:59:54 +0100

quickml (0.7-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999304).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 20:20:58 -0300

quickml (0.7-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #918887)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Tiago Rocha <tiagorocha@disroot.org>  Mon, 11 May 2020 20:19:03 +0000

quickml (0.7-5.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Add 'missingok' to logrotate config.  (Closes: #911519)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Mar 2019 12:48:41 +0100

quickml (0.7-5) unstable; urgency=low

  * Transition to Ruby 1.9 / 2.0.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 22 Jan 2014 18:27:49 +0900

quickml (0.7-4) unstable; urgency=low

  * make volatile /var/run/quickml in init script.
  * Use compat 9.

 -- Kenshi Muto <kmuto@debian.org>  Sat, 30 Jun 2012 19:15:59 +0900

quickml (0.7-3) unstable; urgency=low

  * New maintainer upload.
  * modify quickmlrc. Although it refered with-mta.rd, there was only
    Japanese file with-mta.ja.rd. So I decide to remove that reference.
    (closes: #374182)

 -- Kenshi Muto <kmuto@debian.org>  Thu, 03 Sep 2009 21:36:31 +0900

quickml (0.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469707)
  * Moved debhelper to Build-Depends

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 11:06:46 +0200

quickml (0.7-2) unstable; urgency=low

  * copy mkinstalldirs from /usr/share/automake/mkinstalldirs
    closes: Bug#278969

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 31 Oct 2004 04:28:26 +0900

quickml (0.7-1) unstable; urgency=low

  * New upstream release
  * @@backupdir no longer used in lib/quickml/util.rb
    closes: Bug#248803

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 30 Oct 2004 01:02:07 +0900

quickml (0.6-3) unstable; urgency=low

  * sysconfdir should be /etc/quickml
  * wrong Makefile, to reproduce quickml in installation time.
    remove check-messages target.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 28 Mar 2004 02:33:36 +0900

quickml (0.6-2) unstable; urgency=low

  * fix FTBFS. s/ruby/$(RUBY)/ in Makefile.am
    closes: Bug#240436

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 27 Mar 2004 22:49:21 +0900

quickml (0.6-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 26 Mar 2004 00:54:41 +0900

quickml (0.5+20030909-3) unstable; urgency=low

  * adapt new ruby constant scope.
    closes: Bug#227165

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 12 Jan 2004 15:14:54 +0900

quickml (0.5+20030909-2) unstable; urgency=low

  * use $(RUBY) instead of ruby.
    closes: Bug#213740

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  2 Oct 2003 22:51:58 +0900

quickml (0.5+20030909-1) unstable; urgency=low

  * New upstream release
  * depends: ruby1.8

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 10 Sep 2003 00:07:32 +0900

quickml (0.5+20030908-1) unstable; urgency=low

  * New upstream release
  * depends: ruby1.6

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  9 Sep 2003 12:25:18 +0900

quickml (0.5+20030512-1) unstable; urgency=low

  * New upstream release
  * fix Description typo. closes: Bug#190225
  * fix quickmlrc typo. closes: Bug#194514

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  2 Jun 2003 01:43:34 +0900

quickml (0.5+20030424-1) unstable; urgency=low

  * New upstream snapshot
  * apply :distribute_address fixes by Nobuhiro IMAI <nov@yo.rim.or.jp>
    closes: Bug#190677
  * add ruby to build-depends-indep. 
    closes: Bug#190691

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 26 Apr 2003 00:50:51 +0900

quickml (0.5+20030417-2) unstable; urgency=low

  * fix typo in description. closes: Bug#190225

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 26 Apr 2003 00:35:42 +0900

quickml (0.5+20030417-1) unstable; urgency=low

  * update latest cvs snapshot
  * Initial upload to Debian
  * closes: Bug#187286

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 17 Apr 2003 02:14:34 +0900

quickml (0.5-0.2) unstable; urgency=low

  * report ML creation

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed,  5 Jun 2002 01:24:25 +0900

quickml (0.5-0.1) unstable; urgency=low

  * new config:
    distribute_address
    report_address
  * VERSION: 0.5/JLA-0.1

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  4 Jun 2002 12:14:59 +0900

quickml (0.5-0) unstable; urgency=low

  * Initial Release.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  4 Jun 2002 01:25:57 +0900
