=== debian/control ===
Source: quickml
Section: mail
Priority: optional
Maintainer: Benda Xu <orv@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: ruby, ruby-dev
Standards-Version: 4.5.0

Package: quickml
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ruby:any, ruby-thwait, lsb-base, ${misc:Depends}
Description: Very-easy-to-use mailing list system
 quickml server is a very-easy-to-use mailing list system.
 quickml server provides very-easy-to-use mailing list service.
 http://quickml.com/quickml/
