=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

RUBY := /usr/bin/ruby
#SITE_RUBY := $(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
SITE_RUBY := /usr/lib/ruby/vendor_ruby
DESTDIR=$(CURDIR)/debian/quickml
DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
GIT_TAG ?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	aclocal
	automake -a
	autoconf
	# Add here commands to configure the package.
	RUBY=$(RUBY) ./configure --prefix=/usr \
		--sysconfdir=/etc/quickml \
		--localstatedir=/var/lib \
		--with-rubydir=$(SITE_RUBY) \
		--with-user=list --with-group=list \
		--with-pidfile=/var/run/quickml/quickml.pid \
		--with-logfile=/var/log/quickml/quickml-log
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/quickml.sgml > quickml.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	#rm -f mkinstalldirs
	# Add here commands to clean up after the build process.
	# $(MAKE) clean
	-rm -f Makefile lib/Makefile lib/quickml/Makefile
	-rm -f config.log config.status
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	# Add here commands to install the package into debian/quickml.
	$(MAKE) install \
	  prefix=$(DESTDIR)/usr \
	  sysconfdir=$(DESTDIR)/etc/quickml \
	  localstatedir=$(DESTDIR)/var/lib \
	  rubydir=$(DESTDIR)$(SITE_RUBY)
	-rm -f $(DESTDIR)/var/log/quickml/quickml-log
	-rm -f $(DESTDIR)/usr/sbin/quickml-ctl
	-rm -f $(DESTDIR)/etc/quickml/quickmlrc
	-rm -f $(DESTDIR)/etc/quickml/quickmlrc.sample
	-rm -rf $(DESTDIR)/var/run
	install -m 644 debian/quickmlrc $(DESTDIR)/etc/quickml/quickmlrc
	install -m 644 messages.ja $(DESTDIR)/usr/share/quickml/messages.ja

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link etc/init.d/quickml usr/sbin/quickml-ctl
#	dh_strip
	dh_compress
	dh_fixperms
	chown list:list $(DESTDIR)/var/lib/quickml
	chown list:list $(DESTDIR)/var/log/quickml
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testdir
#	dh_testroot
##	dh_installdebconf	
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
##	dh_installlogrotate
##	dh_installemacsen
##	dh_installpam
##	dh_installmime
##	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
##	dh_undocumented
#	dh_installchangelogs 
#	dh_link
#	dh_strip
#	dh_compress
#	dh_fixperms
##	dh_makeshlibs
#	dh_installdeb
##	dh_perl
#	dh_shlibdeps
#	dh_gencontrol
#	dh_md5sums
#	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

make-orig-file:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
		git archive --prefix=$(DEBPKGNAME)-$(GIT_TAG)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
	fi
